Create App
Create an app
Creates a new app.
Request
URI
POST
https://api.example.local/v3/apps
COPY
Request Body
App object that needs to be created
AppCreateRequestBody
of type(s)
application/json
Optional
Show optional properties
{
"name": "string",
"relationships": {
"space": {}
}
}
{
"name": "string",
"environment_variables": {
"environment_variables": "string"
},
"lifecycle": {
"type": "string",
"data": {
"buildpacks": [
"string"
],
"stack": "string",
"credentials": {
"credentials": {
"username": "string",
"password": "string",
"token": "string"
}
}
}
},
"relationships": {
"space": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
Responses
201
Successfully created app
Returns
App
of type(s)
application/json
This response body class contains all of the following:
BaseSchema
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"state": "string",
"lifecycle": {
"type": "string",
"data": {
"buildpacks": [
"string"
],
"stack": "string",
"credentials": {
"credentials": {
"username": "string",
"password": "string",
"token": "string"
}
}
}
},
"relationships": {},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"space": {
"href": "string",
"method": "string"
},
"processes": {
"href": "string",
"method": "string"
},
"packages": {
"href": "string",
"method": "string"
},
"environment_variables": {
"href": "string",
"method": "string"
},
"current_droplet": {
"href": "string",
"method": "string"
},
"droplets": {
"href": "string",
"method": "string"
}
},
"included": {
"spaces": [
"Space Object"
],
"organizations": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"suspended": false,
"relationships": {
"quota": {
"data": {
"guid": "string"
}
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"domains": {
"href": "string",
"method": "string"
},
"quota": {
"href": "string",
"method": "string"
},
"default_domain": {
"href": "string",
"method": "string"
}
}
}
],
"domains": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"internal": false,
"router_group": {
"guid": "string"
},
"supported_protocols": [
"string"
],
"relationships": {},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"organization": {
"href": "string",
"method": "string"
},
"route_reservations": {
"href": "string",
"method": "string"
},
"shared_organizations": {
"href": "string",
"method": "string"
},
"router_group": {
"href": "string",
"method": "string"
}
}
}
],
"service_offerings": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"name": "string",
"description": "string",
"available": false,
"tags": [
"string"
],
"requires": [
"string"
],
"shareable": false,
"documentation_url": "string",
"broker_catalog": {
"id": "string",
"metadata": {
"displayName": "string",
"documentationUrl": "string",
"imageUrl": "string",
"longDescription": "string",
"providerDisplayName": "string",
"supportUrl": "string"
},
"features": {
"plan_updateable": false,
"bindable": false,
"instances_retrievable": false,
"bindings_retrievable": false,
"allow_context_updates": false
}
},
"relationships": {
"service_broker": {
"data": {
"guid": "string"
}
}
},
"service_broker_guid": "string",
"service_broker_name": "string",
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"service_plans": {
"href": "string",
"method": "string"
},
"service_broker": {
"href": "string",
"method": "string"
}
}
}
],
"service_instances": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"type": "string",
"name": "string",
"tags": [
"string"
],
"syslog_drain_url": "string",
"route_service_url": "string",
"dashboard_url": "string",
"maintenance_info": {
"version": "string",
"description": "string"
},
"upgrade_available": false,
"last_operation": {
"type": "string",
"state": "string",
"description": "string",
"created_at": "string",
"updated_at": "string"
},
"relationships": {
"space": {
"data": {
"guid": "string"
}
},
"service_plan": {
"data": {
"guid": "string"
}
}
},
"links": {
"self": {
"href": "string",
"method": "string"
},
"space": {
"href": "string",
"method": "string"
},
"service_plan": {
"href": "string",
"method": "string"
},
"parameters": {
"href": "string",
"method": "string"
},
"service_credential_bindings": {
"href": "string",
"method": "string"
},
"service_route_bindings": {
"href": "string",
"method": "string"
},
"shared_spaces": {
"href": "string",
"method": "string"
}
},
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
}
}
],
"apps": [
"App Object"
],
"routes": [
"Route Object"
],
"users": [
{
"guid": "string",
"created_at": "string",
"updated_at": "string",
"username": "string",
"presentation_name": "string",
"origin": "string",
"metadata": {
"labels": {
"labels": "string"
},
"annotations": {
"annotations": "string"
}
},
"links": {
"self": {
"href": "string",
"method": "string"
}
}
}
]
}
}
400
Bad Request
Returns
BadRequest
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
409
Conflict
Returns
Conflict
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
422
Unprocessable Entity
Returns
Errors
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
500
Internal Server Error
Returns
500
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
503
Service Unavailable
Returns
ServiceUnavailable
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","relationships":"object"}' https://{api_host}/v3/apps
Apps Operations
GET
List Apps
POST
Create App
GET
Get App
PATCH
Update App
DELETE
Delete App
POST
Start App
POST
Stop App
POST
Restart App
GET
Get Current Droplet For App
GET
Get Current Droplet Association For App
PATCH
Set Current Droplet For App
POST
Clear Buildpack Cache For Application
GET
Get Env For App
GET
Get Environment Variables For App
PATCH
Update Environment Variables For App
GET
List App Features
GET
Get App Feature
PATCH
Update App Feature
GET
Get Permissions For App
GET
Get Ssh Enabled For App